OnlyFans API
Giphy

Search GIFs

Search GIFs from the OnlyFans Giphy proxy. Use the returned id as the giphyId body param when sending a chat or mass message.

GET
/api/{account}/giphy/search
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

Query Parameters

q*string

The search query.

limit?integer

Number of GIFs to return (default = 10, max = 50)

offset?integer

Number of GIFs to skip for pagination (default = 0)

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/giphy/search?q=hello&limit=10&offset=0"
{
  "data": [
    {
      "type": "gif",
      "id": "fUQ4rhUZJYiQsas6WD",
      "url": "https://giphy.com/gifs/muppetwiki-sesame-street-muppets-elmo-fUQ4rhUZJYiQsas6WD",
      "slug": "muppetwiki-sesame-street-muppets-elmo-fUQ4rhUZJYiQsas6WD",
      "title": "Happy Sesame Street GIF by Muppet Wiki",
      "rating": "g",
      "username": "muppetwiki",
      "embed_url": "https://giphy.com/embed/fUQ4rhUZJYiQsas6WD",
      "images": {
        "original": {
          "height": "300",
          "width": "400",
          "url": "https://media4.giphy.com/media/fUQ4rhUZJYiQsas6WD/giphy.gif",
          "mp4": "https://media4.giphy.com/media/fUQ4rhUZJYiQsas6WD/giphy.mp4",
          "webp": "https://media4.giphy.com/media/fUQ4rhUZJYiQsas6WD/giphy.webp"
        },
        "fixed_height": {
          "height": "200",
          "width": "266",
          "url": "https://media4.giphy.com/media/fUQ4rhUZJYiQsas6WD/200.gif"
        }
      }
    }
  ],
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 999999999,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 1000,
      "limit_day": 50000,
      "remaining_minute": 999,
      "remaining_day": 49999
    }
  }
}